Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.pageflow
Class PageflowHelper

    java.lang.Object
      org.jboss.seam.pageflow.PageflowHelper

    public abstract class PageflowHelper

extends Object

Constructor Summary
`PageflowHelper()`

Method Summary
`static org.jbpm.JbpmContext` | `createPageflowContext()`
`static org.jbpm.graph.exe.ProcessInstance` | `newPageflowInstance(org.jbpm.graph.def.ProcessDefinition processDefinition)`
`static org.jbpm.graph.def.ProcessDefinition` | `parseInputSource(InputSource inputSource)`
`static org.jbpm.graph.def.ProcessDefinition` | `parseXmlResource(String xmlResource)`
`static org.jbpm.graph.def.ProcessDefinition` | `parseXmlString(String xml)`
`static void` | `signal(org.jbpm.graph.exe.ProcessInstance processInstance, String outcome)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageflowHelper

    public PageflowHelper()

Method Detail

### createPageflowContext

    public static org.jbpm.JbpmContext createPageflowContext()

### parseXmlString

    public static org.jbpm.graph.def.ProcessDefinition parseXmlString(String xml)

### parseXmlResource

    public static org.jbpm.graph.def.ProcessDefinition parseXmlResource(String xmlResource)

### parseInputSource

    public static org.jbpm.graph.def.ProcessDefinition parseInputSource(InputSource inputSource)

### signal

    public static void signal(org.jbpm.graph.exe.ProcessInstance processInstance,
                              String outcome)

### newPageflowInstance

    public static org.jbpm.graph.exe.ProcessInstance newPageflowInstance(org.jbpm.graph.def.ProcessDefinition processDefinition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD